%define upstream_name	 Moose
%define upstream_version 2.1403

%if %{_use_internal_dependency_generator}
%define __noautoreq 'perl\\(Moose::Conflicts\\)'
%else
%define _requires_exceptions perl(Moose::Conflicts)
%endif

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	4
Summary:	A complete modern object system for Perl 5

License:    GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

# This patch drops a test which is used to detect which modules will not be compatible with
# the current version of perl-Moose. This could be useful at the development stage, but
# we need some more modules from contrib repository for these tests
Patch0:		Moose-2.1403-no-breakage-tests.patch
Patch1:		Moose-2.1403-no-CleanNamespace.patch

BuildRequires:	perl(Class::Load)
BuildRequires:	perl(Data::OptList)
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Devel::OverloadInfo)
BuildRequires:	perl(Devel::StackTrace)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(List::MoreUtils) >= 0.120.0
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(Package::DeprecationManager) >= 0.070.0
BuildRequires:	perl(Package::Stash)
BuildRequires:	perl(Params::Util) >= 1.000.0
BuildRequires:	perl(Scalar::Util) >= 1.190.0
BuildRequires:	perl(Sub::Exporter) >= 0.098.0
BuildRequires:	perl(Sub::Name)
BuildRequires:	perl(Task::Weaken)
#BuildRequires:	perl(Test::CleanNamespaces)
BuildRequires:	perl(Test::Exception) >= 0.270
BuildRequires:	perl(Test::More) >= 0.880
BuildRequires:	perl(Test::Requires) >= 0.050
BuildRequires:	perl(Test::LongString)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Warnings)
BuildRequires:	perl(Try::Tiny) >= 0.020.0
BuildRequires:	perl(namespace::clean)
BuildRequires:	perl-devel

# Required for complete test suite, but these packages are in contrib now
#BuildRequires:	perl(Test::Output)
#BuildRequires:	perl(MooseX::MarkAsMethods)
#BuildRequires:	perl(Module::Refresh)
#BuildRequires:	perl(Data::Visitor)
#BuildRequires:	perl(DateTime::Format::MySQL)
#BuildRequires:	perl(Declare::Constraints::Simple)
#BuildRequires:	perl(Test::Memory::Cycle)

# Class::Load::XS is not installed (version '0.01' required)
# Module::Runtime::Conflicts is not installed (any version required)
# Package::Stash::XS is not installed (version '0.24' required)
#


# This one doesn't exist in repos
#BuildRequires:	perl(Specio::Declare)

Requires:	perl(Sub::Name)
Provides:	perl-Moose-implementation
Obsoletes:	perl-Class-MOP <= 1.120.0
Provides:	perl-Class-MOP = 1.120.0

%description
Moose is an extension of the Perl 5 object system.

%prep
%setup -qn %{upstream_name}-%{upstream_version}
%apply_patches

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes
%{_bindir}/moose-outdated
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Mar 30 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.140.300-4
+ Revision: b11711c
- Do not CleanNamespaces in tests


